/* 
 * File:   eeprom.h
 * Author: sakai
 *
 * Created on February 25, 2016, 4:28 AM
 */

#ifndef EEPROM_H
#define	EEPROM_H

#include "mcc.h"

#ifdef	__cplusplus
extern "C" {
#endif


void EMULATED_EEPROM_Write(
                                uint16_t slaveDeviceAddress,
                                uint16_t dataAddress,
                                uint8_t *pData,
                                uint16_t nCount);

void EMULATED_EEPROM_Read(
                               uint16_t slaveDeviceAddress,
                               uint16_t dataAddress,
                               uint8_t *pData,
                               uint16_t nCount);


#ifdef	__cplusplus
}
#endif

#endif	/* EEPROM_H */

